Loading...
Searching...
No Matches
Tree< _RootNodeType >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a tree having the same hierarchy as this tree but a different value type, T. More...

`#include <openvdb/tree/Tree.h>`

## Public Types

using | Type = Tree<typename RootNodeType::template ValueConverter<OtherValueType>::Type>

## Detailed Description

template<typename _RootNodeType>
template<typename OtherValueType>
struct openvdb::v10_0::tree::Tree< _RootNodeType >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a tree having the same hierarchy as this tree but a different value type, T.

For example, FloatTree::ValueConverter<double>::Type is equivalent to DoubleTree.

Note
  If the source tree type is a template argument, it might be necessary to write "typename SourceTree::template ValueConverter<T>::Type".

## Member Typedef Documentation

## Type

template<typename _RootNodeType>
template<typename OtherValueType>

using Type = Tree<typename RootNodeType::template ValueConverter<OtherValueType>::Type>